#set numpaths 10
# list_property [get_timing_paths] to see all properties
# CLASS DATAPATH_DELAY DELAY_TYPE ENDPOINT_CLOCK ENDPOINT_PIN GROUP LOGIC_LEVELS NAME REQUIREMENT SKEW SLACK STARTPOINT_CLOCK STARTPOINT_PIN UNCERTAINTY

proc get_logic_levels_plus {numpaths} {
    for {set path 1} {$path < $numpaths} {incr path} {
        
        set logiclevels [get_property LOGIC_LEVELS [lindex [get_timing_paths -nworst 5 -max_paths $numpaths] $path]]
        set slack [get_property SLACK [lindex [get_timing_paths -nworst 5 -max_paths $numpaths] $path]]
        # UNCOMMENT next two lines to print out REQUIREMENT
        #set rqmt [get_property REQUIREMENT [lindex [get_timing_paths -nworst 5 -max_paths $numpaths] $path]]
        #puts  "PATH $path: LOGIC_LEVELS= $logiclevels  RQMT= $rqmt SLACK= $slack"
        puts  "PATH $path: LOGIC_LEVELS= $logiclevels  SLACK= $slack"
    }
}

#<copyright-disclaimer-start>
#<copyright-disclaimer-start>
#  **************************************************************************************************************
#  * © 2025 Advanced Micro Devices, Inc. All rights reserved.                                                   *
#  * DISCLAIMER                                                                                                 *
#  * The information contained herein is for informational purposes only, and is subject to change              *
#  * without notice. While every precaution has been taken in the preparation of this document, it              *
#  * may contain technical inaccuracies, omissions and typographical errors, and AMD is under no                *
#  * obligation to update or otherwise correct this information.  Advanced Micro Devices, Inc. makes            *
#  * no representations or warranties with respect to the accuracy or completeness of the contents of           *
#  * this document, and assumes no liability of any kind, including the implied warranties of noninfringement,  *
#  * merchantability or fitness for particular purposes, with respect to the operation or use of AMD            *
#  * hardware, software or other products described herein.  No license, including implied or                   *
#  * arising by estoppel, to any intellectual property rights is granted by this document.  Terms and           *
#  * limitations applicable to the purchase or use of AMD’s products are as set forth in a signed agreement     *
#  * between the parties or in AMD's Standard Terms and Conditions of Sale. GD-18                               *
#  *                                                                                                            *
#  **************************************************************************************************************
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
