`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 10/17/2014 09:11:21 AM
// Design Name: 
// Module Name: my_cntr_tb
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module my_cntr_tb ();

    // Inputs
    reg clk = 1'b0 ;
	reg rst = 1'b0;
	reg ce = 1'b1;	
	reg load = 1'b0 ;
	reg updn = 1'b1;
	reg [7:0] data = 8'h0f ;
	
	// Outputs
	wire [7:0] q;
	
	// Instantiate the Unit Under Test (UUT)
	my_cntr uut (
		.clk(clk),
		.load(load),
		.ce(ce),
		.rst(rst),
		.updn(updn),
		.data(data),
		.q(q) 
	  );

    // Input Stimulus	 
    initial	forever #5 clk = ~ clk ; 	
 
	initial	
        begin
            #15    
			rst = 1'b1;
			#25
			rst = 1'b0;
		end
 
	initial	
		begin
			#300    
			ce = 1'b0;
			#100
			ce = 1'b1;
		end
  
	initial	
		begin
			#500    
			load = 1'b1;
			#10
			load = 1'b0;
		end
  
  initial
		begin
			#750
			updn = 1'b0;
		end
		
endmodule

//<copyright-disclaimer-start>
//<copyright-disclaimer-start>
//  **************************************************************************************************************
//  * © 2025 Advanced Micro Devices, Inc. All rights reserved.                                                   *
//  * DISCLAIMER                                                                                                 *
//  * The information contained herein is for informational purposes only, and is subject to change              *
//  * without notice. While every precaution has been taken in the preparation of this document, it              *
//  * may contain technical inaccuracies, omissions and typographical errors, and AMD is under no                *
//  * obligation to update or otherwise correct this information.  Advanced Micro Devices, Inc. makes            *
//  * no representations or warranties with respect to the accuracy or completeness of the contents of           *
//  * this document, and assumes no liability of any kind, including the implied warranties of noninfringement,  *
//  * merchantability or fitness for particular purposes, with respect to the operation or use of AMD            *
//  * hardware, software or other products described herein.  No license, including implied or                   *
//  * arising by estoppel, to any intellectual property rights is granted by this document.  Terms and           *
//  * limitations applicable to the purchase or use of AMD’s products are as set forth in a signed agreement     *
//  * between the parties or in AMD's Standard Terms and Conditions of Sale. GD-18                               *
//  *                                                                                                            *
//  **************************************************************************************************************
//<copyright-disclaimer-end>
//<copyright-disclaimer-end>
//<copyright-disclaimer-end>
//<copyright-disclaimer-end>
