// Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
// Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
// --------------------------------------------------------------------------------
// Tool Version: Vivado v.2024.2 (lin64) Build 5239630 Fri Nov 08 22:34:34 MST 2024
// Date        : Tue Dec 24 18:12:45 2024
// Host        : amd-VirtualBox running 64-bit Ubuntu 22.04.5 LTS
// Command     : write_verilog -force -mode funcsim
//               /home/amd/training/Dbg_IPI/lab/ZCU104/vhdl/uart_rx.gen/sources_1/bd/uart_rx_i0/ip/uart_rx_i0_led_ctl_0_0/uart_rx_i0_led_ctl_0_0_sim_netlist.v
// Design      : uart_rx_i0_led_ctl_0_0
// Purpose     : This verilog netlist is a functional simulation representation of the design and should not be modified
//               or synthesized. This netlist cannot be used for SDF annotated simulation.
// Device      : xczu7ev-ffvc1156-2-e
// --------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CHECK_LICENSE_TYPE = "uart_rx_i0_led_ctl_0_0,led_ctl,{}" *) (* downgradeipidentifiedwarnings = "yes" *) (* ip_definition_source = "module_ref" *) 
(* x_core_info = "led_ctl,Vivado 2024.2" *) 
(* NotValidForBitStream *)
module uart_rx_i0_led_ctl_0_0
   (rst_clk_rx,
    btn_clk_rx,
    clk_rx,
    rx_data,
    rx_data_rdy,
    led_o);
  input rst_clk_rx;
  input btn_clk_rx;
  input clk_rx;
  input [7:0]rx_data;
  input rx_data_rdy;
  output [3:0]led_o;

  wire btn_clk_rx;
  wire clk_rx;
  wire [3:0]led_o;
  wire rst_clk_rx;
  wire [7:0]rx_data;
  wire rx_data_rdy;

  uart_rx_i0_led_ctl_0_0_led_ctl U0
       (.btn_clk_rx(btn_clk_rx),
        .clk_rx(clk_rx),
        .led_o(led_o),
        .rst_clk_rx(rst_clk_rx),
        .rx_data(rx_data),
        .rx_data_rdy(rx_data_rdy));
endmodule

(* ORIG_REF_NAME = "led_ctl" *) 
module uart_rx_i0_led_ctl_0_0_led_ctl
   (led_o,
    btn_clk_rx,
    rst_clk_rx,
    rx_data_rdy,
    clk_rx,
    rx_data);
  output [3:0]led_o;
  input btn_clk_rx;
  input rst_clk_rx;
  input rx_data_rdy;
  input clk_rx;
  input [7:0]rx_data;

  wire btn_clk_rx;
  wire [7:0]char_data;
  wire \char_data[7]_i_1_n_0 ;
  wire clk_rx;
  wire last_rx_data_rdy;
  wire [3:0]led_o;
  wire \led_o[0]_i_1_n_0 ;
  wire \led_o[1]_i_1_n_0 ;
  wire \led_o[2]_i_1_n_0 ;
  wire \led_o[3]_i_1_n_0 ;
  wire rst_clk_rx;
  wire [7:0]rx_data;
  wire rx_data_rdy;

  LUT2 #(
    .INIT(4'h4)) 
    \char_data[7]_i_1 
       (.I0(last_rx_data_rdy),
        .I1(rx_data_rdy),
        .O(\char_data[7]_i_1_n_0 ));
  FDRE \char_data_reg[0] 
       (.C(clk_rx),
        .CE(\char_data[7]_i_1_n_0 ),
        .D(rx_data[0]),
        .Q(char_data[0]),
        .R(rst_clk_rx));
  FDRE \char_data_reg[1] 
       (.C(clk_rx),
        .CE(\char_data[7]_i_1_n_0 ),
        .D(rx_data[1]),
        .Q(char_data[1]),
        .R(rst_clk_rx));
  FDRE \char_data_reg[2] 
       (.C(clk_rx),
        .CE(\char_data[7]_i_1_n_0 ),
        .D(rx_data[2]),
        .Q(char_data[2]),
        .R(rst_clk_rx));
  FDRE \char_data_reg[3] 
       (.C(clk_rx),
        .CE(\char_data[7]_i_1_n_0 ),
        .D(rx_data[3]),
        .Q(char_data[3]),
        .R(rst_clk_rx));
  FDRE \char_data_reg[4] 
       (.C(clk_rx),
        .CE(\char_data[7]_i_1_n_0 ),
        .D(rx_data[4]),
        .Q(char_data[4]),
        .R(rst_clk_rx));
  FDRE \char_data_reg[5] 
       (.C(clk_rx),
        .CE(\char_data[7]_i_1_n_0 ),
        .D(rx_data[5]),
        .Q(char_data[5]),
        .R(rst_clk_rx));
  FDRE \char_data_reg[6] 
       (.C(clk_rx),
        .CE(\char_data[7]_i_1_n_0 ),
        .D(rx_data[6]),
        .Q(char_data[6]),
        .R(rst_clk_rx));
  FDRE \char_data_reg[7] 
       (.C(clk_rx),
        .CE(\char_data[7]_i_1_n_0 ),
        .D(rx_data[7]),
        .Q(char_data[7]),
        .R(rst_clk_rx));
  FDRE last_rx_data_rdy_reg
       (.C(clk_rx),
        .CE(1'b1),
        .D(rx_data_rdy),
        .Q(last_rx_data_rdy),
        .R(rst_clk_rx));
  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT3 #(
    .INIT(8'hB8)) 
    \led_o[0]_i_1 
       (.I0(char_data[4]),
        .I1(btn_clk_rx),
        .I2(char_data[0]),
        .O(\led_o[0]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT3 #(
    .INIT(8'hB8)) 
    \led_o[1]_i_1 
       (.I0(char_data[5]),
        .I1(btn_clk_rx),
        .I2(char_data[1]),
        .O(\led_o[1]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT3 #(
    .INIT(8'hB8)) 
    \led_o[2]_i_1 
       (.I0(char_data[6]),
        .I1(btn_clk_rx),
        .I2(char_data[2]),
        .O(\led_o[2]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT3 #(
    .INIT(8'hB8)) 
    \led_o[3]_i_1 
       (.I0(char_data[7]),
        .I1(btn_clk_rx),
        .I2(char_data[3]),
        .O(\led_o[3]_i_1_n_0 ));
  FDRE \led_o_reg[0] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\led_o[0]_i_1_n_0 ),
        .Q(led_o[0]),
        .R(rst_clk_rx));
  FDRE \led_o_reg[1] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\led_o[1]_i_1_n_0 ),
        .Q(led_o[1]),
        .R(rst_clk_rx));
  FDRE \led_o_reg[2] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\led_o[2]_i_1_n_0 ),
        .Q(led_o[2]),
        .R(rst_clk_rx));
  FDRE \led_o_reg[3] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\led_o[3]_i_1_n_0 ),
        .Q(led_o[3]),
        .R(rst_clk_rx));
endmodule
`ifndef GLBL
`define GLBL
`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;
    parameter GRES_WIDTH = 10000;
    parameter GRES_START = 10000;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    wire GRESTORE;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;
    wire FCSBO_GLBL;
    wire [3:0] DO_GLBL;
    wire [3:0] DI_GLBL;
   
    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;
    reg GRESTORE_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (strong1, weak0) GSR = GSR_int;
    assign (strong1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;
    assign (strong1, weak0) GRESTORE = GRESTORE_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

    initial begin 
	GRESTORE_int = 1'b0;
	#(GRES_START);
	GRESTORE_int = 1'b1;
	#(GRES_WIDTH);
	GRESTORE_int = 1'b0;
    end

endmodule
`endif
