// Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
// Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
// --------------------------------------------------------------------------------
// Tool Version: Vivado v.2024.2 (lin64) Build 5239630 Fri Nov 08 22:34:34 MST 2024
// Date        : Tue Dec 24 18:12:44 2024
// Host        : amd-VirtualBox running 64-bit Ubuntu 22.04.5 LTS
// Command     : write_verilog -force -mode funcsim
//               /home/amd/training/Dbg_IPI/lab/ZCU104/vhdl/uart_rx.gen/sources_1/bd/uart_rx_i0/ip/uart_rx_i0_uart_baud_gen_0_0/uart_rx_i0_uart_baud_gen_0_0_sim_netlist.v
// Design      : uart_rx_i0_uart_baud_gen_0_0
// Purpose     : This verilog netlist is a functional simulation representation of the design and should not be modified
//               or synthesized. This netlist cannot be used for SDF annotated simulation.
// Device      : xczu7ev-ffvc1156-2-e
// --------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CHECK_LICENSE_TYPE = "uart_rx_i0_uart_baud_gen_0_0,uart_baud_gen,{}" *) (* downgradeipidentifiedwarnings = "yes" *) (* ip_definition_source = "package_project" *) 
(* x_core_info = "uart_baud_gen,Vivado 2024.2" *) 
(* NotValidForBitStream *)
module uart_rx_i0_uart_baud_gen_0_0
   (rst,
    clk,
    baud_x16_en);
  (* x_interface_info = "xilinx.com:signal:reset:1.0 rst RST" *) (* x_interface_mode = "slave rst" *) (* x_interface_parameter = "XIL_INTERFACENAME rst, POLARITY ACTIVE_LOW, INSERT_VIP 0" *) input rst;
  (* x_interface_info = "xilinx.com:signal:clock:1.0 clk CLK" *) (* x_interface_mode = "slave clk" *) (* x_interface_parameter = "XIL_INTERFACENAME clk, ASSOCIATED_RESET rst, FREQ_HZ 100000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN uart_rx_i0_clk_pin_n, INSERT_VIP 0" *) input clk;
  output baud_x16_en;

  wire baud_x16_en;
  wire clk;
  wire rst;

  uart_rx_i0_uart_baud_gen_0_0_uart_baud_gen U0
       (.baud_x16_en(baud_x16_en),
        .clk(clk),
        .rst(rst));
endmodule

(* ORIG_REF_NAME = "uart_baud_gen" *) 
module uart_rx_i0_uart_baud_gen_0_0_uart_baud_gen
   (baud_x16_en,
    rst,
    clk);
  output baud_x16_en;
  input rst;
  input clk;

  wire baud_x16_en;
  wire baud_x16_en_0;
  wire baud_x16_en_i_2_n_0;
  wire clk;
  wire \clk_divider.internal_count[1]_i_1_n_0 ;
  wire \clk_divider.internal_count[3]_i_2_n_0 ;
  wire [6:0]internal_count;
  wire [6:0]internal_count_1;
  wire rst;

  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT4 #(
    .INIT(16'h0002)) 
    baud_x16_en_i_1
       (.I0(baud_x16_en_i_2_n_0),
        .I1(internal_count[4]),
        .I2(internal_count[5]),
        .I3(internal_count[6]),
        .O(baud_x16_en_0));
  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT4 #(
    .INIT(16'h0001)) 
    baud_x16_en_i_2
       (.I0(internal_count[1]),
        .I1(internal_count[0]),
        .I2(internal_count[3]),
        .I3(internal_count[2]),
        .O(baud_x16_en_i_2_n_0));
  FDRE baud_x16_en_reg
       (.C(clk),
        .CE(1'b1),
        .D(baud_x16_en_0),
        .Q(baud_x16_en),
        .R(rst));
  (* SOFT_HLUTNM = "soft_lutpair3" *) 
  LUT1 #(
    .INIT(2'h1)) 
    \clk_divider.internal_count[0]_i_1 
       (.I0(internal_count[0]),
        .O(internal_count_1[0]));
  (* SOFT_HLUTNM = "soft_lutpair3" *) 
  LUT2 #(
    .INIT(4'h9)) 
    \clk_divider.internal_count[1]_i_1 
       (.I0(internal_count[0]),
        .I1(internal_count[1]),
        .O(\clk_divider.internal_count[1]_i_1_n_0 ));
  LUT6 #(
    .INIT(64'hFFFF0000AAAA4454)) 
    \clk_divider.internal_count[2]_i_1 
       (.I0(internal_count[0]),
        .I1(\clk_divider.internal_count[3]_i_2_n_0 ),
        .I2(internal_count[3]),
        .I3(internal_count[4]),
        .I4(internal_count[2]),
        .I5(internal_count[1]),
        .O(internal_count_1[2]));
  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT5 #(
    .INIT(32'hFF00FC02)) 
    \clk_divider.internal_count[3]_i_1 
       (.I0(\clk_divider.internal_count[3]_i_2_n_0 ),
        .I1(internal_count[1]),
        .I2(internal_count[0]),
        .I3(internal_count[3]),
        .I4(internal_count[2]),
        .O(internal_count_1[3]));
  (* SOFT_HLUTNM = "soft_lutpair2" *) 
  LUT3 #(
    .INIT(8'hFE)) 
    \clk_divider.internal_count[3]_i_2 
       (.I0(internal_count[6]),
        .I1(internal_count[5]),
        .I2(internal_count[4]),
        .O(\clk_divider.internal_count[3]_i_2_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT4 #(
    .INIT(16'h0FE0)) 
    \clk_divider.internal_count[4]_i_1 
       (.I0(internal_count[5]),
        .I1(internal_count[6]),
        .I2(baud_x16_en_i_2_n_0),
        .I3(internal_count[4]),
        .O(internal_count_1[4]));
  (* SOFT_HLUTNM = "soft_lutpair2" *) 
  LUT4 #(
    .INIT(16'hCF20)) 
    \clk_divider.internal_count[5]_i_1 
       (.I0(internal_count[6]),
        .I1(internal_count[4]),
        .I2(baud_x16_en_i_2_n_0),
        .I3(internal_count[5]),
        .O(internal_count_1[5]));
  LUT4 #(
    .INIT(16'hA9AA)) 
    \clk_divider.internal_count[6]_i_1 
       (.I0(internal_count[6]),
        .I1(internal_count[4]),
        .I2(internal_count[5]),
        .I3(baud_x16_en_i_2_n_0),
        .O(internal_count_1[6]));
  FDSE #(
    .INIT(1'b0)) 
    \clk_divider.internal_count_reg[0] 
       (.C(clk),
        .CE(1'b1),
        .D(internal_count_1[0]),
        .Q(internal_count[0]),
        .S(rst));
  FDSE #(
    .INIT(1'b0)) 
    \clk_divider.internal_count_reg[1] 
       (.C(clk),
        .CE(1'b1),
        .D(\clk_divider.internal_count[1]_i_1_n_0 ),
        .Q(internal_count[1]),
        .S(rst));
  FDRE #(
    .INIT(1'b0)) 
    \clk_divider.internal_count_reg[2] 
       (.C(clk),
        .CE(1'b1),
        .D(internal_count_1[2]),
        .Q(internal_count[2]),
        .R(rst));
  FDRE #(
    .INIT(1'b0)) 
    \clk_divider.internal_count_reg[3] 
       (.C(clk),
        .CE(1'b1),
        .D(internal_count_1[3]),
        .Q(internal_count[3]),
        .R(rst));
  FDRE #(
    .INIT(1'b0)) 
    \clk_divider.internal_count_reg[4] 
       (.C(clk),
        .CE(1'b1),
        .D(internal_count_1[4]),
        .Q(internal_count[4]),
        .R(rst));
  FDRE #(
    .INIT(1'b0)) 
    \clk_divider.internal_count_reg[5] 
       (.C(clk),
        .CE(1'b1),
        .D(internal_count_1[5]),
        .Q(internal_count[5]),
        .R(rst));
  FDSE #(
    .INIT(1'b0)) 
    \clk_divider.internal_count_reg[6] 
       (.C(clk),
        .CE(1'b1),
        .D(internal_count_1[6]),
        .Q(internal_count[6]),
        .S(rst));
endmodule
`ifndef GLBL
`define GLBL
`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;
    parameter GRES_WIDTH = 10000;
    parameter GRES_START = 10000;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    wire GRESTORE;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;
    wire FCSBO_GLBL;
    wire [3:0] DO_GLBL;
    wire [3:0] DI_GLBL;
   
    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;
    reg GRESTORE_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (strong1, weak0) GSR = GSR_int;
    assign (strong1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;
    assign (strong1, weak0) GRESTORE = GRESTORE_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

    initial begin 
	GRESTORE_int = 1'b0;
	#(GRES_START);
	GRESTORE_int = 1'b1;
	#(GRES_WIDTH);
	GRESTORE_int = 1'b0;
    end

endmodule
`endif
