// Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
// Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
// --------------------------------------------------------------------------------
// Tool Version: Vivado v.2024.2 (lin64) Build 5239630 Fri Nov 08 22:34:34 MST 2024
// Date        : Tue Dec 24 18:13:46 2024
// Host        : amd-VirtualBox running 64-bit Ubuntu 22.04.5 LTS
// Command     : write_verilog -force -mode funcsim
//               /home/amd/training/Dbg_IPI/lab/ZCU104/vhdl/uart_rx.gen/sources_1/bd/uart_rx_i0/ip/uart_rx_i0_uart_rx_ctl_0_0/uart_rx_i0_uart_rx_ctl_0_0_sim_netlist.v
// Design      : uart_rx_i0_uart_rx_ctl_0_0
// Purpose     : This verilog netlist is a functional simulation representation of the design and should not be modified
//               or synthesized. This netlist cannot be used for SDF annotated simulation.
// Device      : xczu7ev-ffvc1156-2-e
// --------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CHECK_LICENSE_TYPE = "uart_rx_i0_uart_rx_ctl_0_0,uart_rx_ctl,{}" *) (* downgradeipidentifiedwarnings = "yes" *) (* ip_definition_source = "package_project" *) 
(* x_core_info = "uart_rx_ctl,Vivado 2024.2" *) 
(* NotValidForBitStream *)
module uart_rx_i0_uart_rx_ctl_0_0
   (clk_rx,
    rst_clk_rx,
    baud_x16_en,
    rxd_clk_rx,
    rx_data,
    rx_data_rdy,
    frm_err);
  input clk_rx;
  input rst_clk_rx;
  input baud_x16_en;
  input rxd_clk_rx;
  output [7:0]rx_data;
  output rx_data_rdy;
  output frm_err;

  wire baud_x16_en;
  wire clk_rx;
  wire frm_err;
  wire rst_clk_rx;
  wire [7:0]rx_data;
  wire rx_data_rdy;
  wire rxd_clk_rx;

  uart_rx_i0_uart_rx_ctl_0_0_uart_rx_ctl U0
       (.baud_x16_en(baud_x16_en),
        .clk_rx(clk_rx),
        .frm_err(frm_err),
        .rst_clk_rx(rst_clk_rx),
        .rx_data(rx_data),
        .rx_data_rdy(rx_data_rdy),
        .rxd_clk_rx(rxd_clk_rx));
endmodule

(* ORIG_REF_NAME = "uart_rx_ctl" *) 
module uart_rx_i0_uart_rx_ctl_0_0_uart_rx_ctl
   (rx_data,
    rx_data_rdy,
    frm_err,
    rxd_clk_rx,
    rst_clk_rx,
    clk_rx,
    baud_x16_en);
  output [7:0]rx_data;
  output rx_data_rdy;
  output frm_err;
  input rxd_clk_rx;
  input rst_clk_rx;
  input clk_rx;
  input baud_x16_en;

  wire \FSM_sequential_state[1]_i_1_n_0 ;
  wire baud_x16_en;
  wire \bit_cnt[0]_i_1_n_0 ;
  wire \bit_cnt[2]_i_1_n_0 ;
  wire \bit_cnt[3]_i_1_n_0 ;
  wire \bit_cnt[3]_i_2_n_0 ;
  wire [3:0]bit_cnt_reg;
  wire clk_rx;
  wire frm_err;
  wire frm_err_i_1_n_0;
  wire over_sample_cnt_done;
  wire over_sample_cnt_done_i_1_n_0;
  wire over_sample_cnt_done_i_2_n_0;
  wire \oversample_counter.over_sample_cnt[3]_i_1_n_0 ;
  wire [3:0]\oversample_counter.over_sample_cnt_reg ;
  wire [3:0]p_0_in;
  wire p_0_in9_out;
  wire p_0_in_0;
  wire [3:1]p_0_in__0;
  wire p_3_in;
  wire rst_clk_rx;
  wire [7:0]rx_data;
  wire rx_data17_out;
  wire rx_data1__0;
  wire \rx_data[0]_i_1_n_0 ;
  wire \rx_data[1]_i_1_n_0 ;
  wire \rx_data[2]_i_1_n_0 ;
  wire \rx_data[3]_i_1_n_0 ;
  wire \rx_data[3]_i_2_n_0 ;
  wire \rx_data[3]_i_3_n_0 ;
  wire \rx_data[4]_i_1_n_0 ;
  wire \rx_data[4]_i_2_n_0 ;
  wire \rx_data[5]_i_1_n_0 ;
  wire \rx_data[5]_i_2_n_0 ;
  wire \rx_data[6]_i_1_n_0 ;
  wire \rx_data[6]_i_3_n_0 ;
  wire \rx_data[6]_i_4_n_0 ;
  wire \rx_data[7]_i_1_n_0 ;
  wire \rx_data[7]_i_2_n_0 ;
  wire rx_data_rdy;
  wire rx_data_rdy_i_1_n_0;
  wire rxd_clk_rx;
  wire \state[0]_i_1_n_0 ;
  wire \state[1]_i_1_n_0 ;
  wire [1:0]state__0;
  wire [1:0]state__1;
  wire \state_reg_n_0_[0] ;
  wire \state_reg_n_0_[1] ;

  (* SOFT_HLUTNM = "soft_lutpair5" *) 
  LUT3 #(
    .INIT(8'h45)) 
    \FSM_sequential_state[0]_i_1 
       (.I0(state__0[0]),
        .I1(p_0_in9_out),
        .I2(state__0[1]),
        .O(state__1[0]));
  LUT6 #(
    .INIT(64'hA8A00800A8AA080A)) 
    \FSM_sequential_state[1]_i_1 
       (.I0(baud_x16_en),
        .I1(p_0_in9_out),
        .I2(state__0[0]),
        .I3(state__0[1]),
        .I4(over_sample_cnt_done),
        .I5(rxd_clk_rx),
        .O(\FSM_sequential_state[1]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair5" *) 
  LUT4 #(
    .INIT(16'h3404)) 
    \FSM_sequential_state[1]_i_2 
       (.I0(rxd_clk_rx),
        .I1(state__0[0]),
        .I2(state__0[1]),
        .I3(p_0_in9_out),
        .O(state__1[1]));
  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT5 #(
    .INIT(32'h00800000)) 
    \FSM_sequential_state[1]_i_3 
       (.I0(over_sample_cnt_done),
        .I1(bit_cnt_reg[1]),
        .I2(bit_cnt_reg[0]),
        .I3(bit_cnt_reg[3]),
        .I4(bit_cnt_reg[2]),
        .O(p_0_in9_out));
  (* FSM_ENCODED_STATES = "iSTATE:01,iSTATE0:10,iSTATE1:00,iSTATE2:11" *) 
  FDRE #(
    .INIT(1'b0)) 
    \FSM_sequential_state_reg[0] 
       (.C(clk_rx),
        .CE(\FSM_sequential_state[1]_i_1_n_0 ),
        .D(state__1[0]),
        .Q(state__0[0]),
        .R(rst_clk_rx));
  (* FSM_ENCODED_STATES = "iSTATE:01,iSTATE0:10,iSTATE1:00,iSTATE2:11" *) 
  FDRE #(
    .INIT(1'b0)) 
    \FSM_sequential_state_reg[1] 
       (.C(clk_rx),
        .CE(\FSM_sequential_state[1]_i_1_n_0 ),
        .D(state__1[1]),
        .Q(state__0[1]),
        .R(rst_clk_rx));
  (* SOFT_HLUTNM = "soft_lutpair10" *) 
  LUT1 #(
    .INIT(2'h1)) 
    \bit_cnt[0]_i_1 
       (.I0(bit_cnt_reg[0]),
        .O(\bit_cnt[0]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair9" *) 
  LUT2 #(
    .INIT(4'h6)) 
    \bit_cnt[1]_i_1 
       (.I0(bit_cnt_reg[0]),
        .I1(bit_cnt_reg[1]),
        .O(p_0_in__0[1]));
  (* SOFT_HLUTNM = "soft_lutpair6" *) 
  LUT3 #(
    .INIT(8'h78)) 
    \bit_cnt[2]_i_1 
       (.I0(bit_cnt_reg[0]),
        .I1(bit_cnt_reg[1]),
        .I2(bit_cnt_reg[2]),
        .O(\bit_cnt[2]_i_1_n_0 ));
  LUT5 #(
    .INIT(32'hAEAAAAAA)) 
    \bit_cnt[3]_i_1 
       (.I0(rst_clk_rx),
        .I1(over_sample_cnt_done),
        .I2(state__0[1]),
        .I3(state__0[0]),
        .I4(baud_x16_en),
        .O(\bit_cnt[3]_i_1_n_0 ));
  LUT4 #(
    .INIT(16'h0800)) 
    \bit_cnt[3]_i_2 
       (.I0(baud_x16_en),
        .I1(state__0[1]),
        .I2(state__0[0]),
        .I3(over_sample_cnt_done),
        .O(\bit_cnt[3]_i_2_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT4 #(
    .INIT(16'h7F80)) 
    \bit_cnt[3]_i_3 
       (.I0(bit_cnt_reg[1]),
        .I1(bit_cnt_reg[0]),
        .I2(bit_cnt_reg[2]),
        .I3(bit_cnt_reg[3]),
        .O(p_0_in__0[3]));
  FDRE #(
    .INIT(1'b0)) 
    \bit_cnt_reg[0] 
       (.C(clk_rx),
        .CE(\bit_cnt[3]_i_2_n_0 ),
        .D(\bit_cnt[0]_i_1_n_0 ),
        .Q(bit_cnt_reg[0]),
        .R(\bit_cnt[3]_i_1_n_0 ));
  FDRE #(
    .INIT(1'b0)) 
    \bit_cnt_reg[1] 
       (.C(clk_rx),
        .CE(\bit_cnt[3]_i_2_n_0 ),
        .D(p_0_in__0[1]),
        .Q(bit_cnt_reg[1]),
        .R(\bit_cnt[3]_i_1_n_0 ));
  FDRE #(
    .INIT(1'b0)) 
    \bit_cnt_reg[2] 
       (.C(clk_rx),
        .CE(\bit_cnt[3]_i_2_n_0 ),
        .D(\bit_cnt[2]_i_1_n_0 ),
        .Q(bit_cnt_reg[2]),
        .R(\bit_cnt[3]_i_1_n_0 ));
  FDRE #(
    .INIT(1'b0)) 
    \bit_cnt_reg[3] 
       (.C(clk_rx),
        .CE(\bit_cnt[3]_i_2_n_0 ),
        .D(p_0_in__0[3]),
        .Q(bit_cnt_reg[3]),
        .R(\bit_cnt[3]_i_1_n_0 ));
  LUT6 #(
    .INIT(64'h0800FFFF08000000)) 
    frm_err_i_1
       (.I0(\state_reg_n_0_[0] ),
        .I1(\state_reg_n_0_[1] ),
        .I2(rxd_clk_rx),
        .I3(over_sample_cnt_done),
        .I4(baud_x16_en),
        .I5(frm_err),
        .O(frm_err_i_1_n_0));
  FDRE frm_err_reg
       (.C(clk_rx),
        .CE(1'b1),
        .D(frm_err_i_1_n_0),
        .Q(frm_err),
        .R(rst_clk_rx));
  LUT6 #(
    .INIT(64'h0000000022222E22)) 
    over_sample_cnt_done_i_1
       (.I0(over_sample_cnt_done),
        .I1(baud_x16_en),
        .I2(\oversample_counter.over_sample_cnt_reg [1]),
        .I3(\oversample_counter.over_sample_cnt_reg [0]),
        .I4(over_sample_cnt_done_i_2_n_0),
        .I5(rst_clk_rx),
        .O(over_sample_cnt_done_i_1_n_0));
  (* SOFT_HLUTNM = "soft_lutpair3" *) 
  LUT2 #(
    .INIT(4'hE)) 
    over_sample_cnt_done_i_2
       (.I0(\oversample_counter.over_sample_cnt_reg [2]),
        .I1(\oversample_counter.over_sample_cnt_reg [3]),
        .O(over_sample_cnt_done_i_2_n_0));
  FDRE over_sample_cnt_done_reg
       (.C(clk_rx),
        .CE(1'b1),
        .D(over_sample_cnt_done_i_1_n_0),
        .Q(over_sample_cnt_done),
        .R(1'b0));
  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT5 #(
    .INIT(32'h340034FF)) 
    \oversample_counter.over_sample_cnt[0]_i_1 
       (.I0(rxd_clk_rx),
        .I1(\state_reg_n_0_[0] ),
        .I2(\state_reg_n_0_[1] ),
        .I3(p_3_in),
        .I4(\oversample_counter.over_sample_cnt_reg [0]),
        .O(p_0_in[0]));
  LUT6 #(
    .INIT(64'h34FF3400340034FF)) 
    \oversample_counter.over_sample_cnt[1]_i_1 
       (.I0(rxd_clk_rx),
        .I1(\state_reg_n_0_[0] ),
        .I2(\state_reg_n_0_[1] ),
        .I3(p_3_in),
        .I4(\oversample_counter.over_sample_cnt_reg [0]),
        .I5(\oversample_counter.over_sample_cnt_reg [1]),
        .O(p_0_in[1]));
  (* SOFT_HLUTNM = "soft_lutpair2" *) 
  LUT5 #(
    .INIT(32'hF0F0F00E)) 
    \oversample_counter.over_sample_cnt[2]_i_1 
       (.I0(p_0_in_0),
        .I1(\oversample_counter.over_sample_cnt_reg [3]),
        .I2(\oversample_counter.over_sample_cnt_reg [2]),
        .I3(\oversample_counter.over_sample_cnt_reg [0]),
        .I4(\oversample_counter.over_sample_cnt_reg [1]),
        .O(p_0_in[2]));
  LUT6 #(
    .INIT(64'hAAABAAAAAAAAAAAA)) 
    \oversample_counter.over_sample_cnt[3]_i_1 
       (.I0(rst_clk_rx),
        .I1(rxd_clk_rx),
        .I2(\state_reg_n_0_[0] ),
        .I3(\state_reg_n_0_[1] ),
        .I4(baud_x16_en),
        .I5(p_3_in),
        .O(\oversample_counter.over_sample_cnt[3]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair3" *) 
  LUT5 #(
    .INIT(32'hCCCCCCC2)) 
    \oversample_counter.over_sample_cnt[3]_i_2 
       (.I0(p_0_in_0),
        .I1(\oversample_counter.over_sample_cnt_reg [3]),
        .I2(\oversample_counter.over_sample_cnt_reg [2]),
        .I3(\oversample_counter.over_sample_cnt_reg [0]),
        .I4(\oversample_counter.over_sample_cnt_reg [1]),
        .O(p_0_in[3]));
  (* SOFT_HLUTNM = "soft_lutpair2" *) 
  LUT4 #(
    .INIT(16'h0001)) 
    \oversample_counter.over_sample_cnt[3]_i_3 
       (.I0(\oversample_counter.over_sample_cnt_reg [3]),
        .I1(\oversample_counter.over_sample_cnt_reg [2]),
        .I2(\oversample_counter.over_sample_cnt_reg [0]),
        .I3(\oversample_counter.over_sample_cnt_reg [1]),
        .O(p_3_in));
  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT3 #(
    .INIT(8'h34)) 
    \oversample_counter.over_sample_cnt[3]_i_4 
       (.I0(rxd_clk_rx),
        .I1(\state_reg_n_0_[0] ),
        .I2(\state_reg_n_0_[1] ),
        .O(p_0_in_0));
  FDSE #(
    .INIT(1'b0)) 
    \oversample_counter.over_sample_cnt_reg[0] 
       (.C(clk_rx),
        .CE(baud_x16_en),
        .D(p_0_in[0]),
        .Q(\oversample_counter.over_sample_cnt_reg [0]),
        .S(\oversample_counter.over_sample_cnt[3]_i_1_n_0 ));
  FDSE #(
    .INIT(1'b0)) 
    \oversample_counter.over_sample_cnt_reg[1] 
       (.C(clk_rx),
        .CE(baud_x16_en),
        .D(p_0_in[1]),
        .Q(\oversample_counter.over_sample_cnt_reg [1]),
        .S(\oversample_counter.over_sample_cnt[3]_i_1_n_0 ));
  FDSE #(
    .INIT(1'b0)) 
    \oversample_counter.over_sample_cnt_reg[2] 
       (.C(clk_rx),
        .CE(baud_x16_en),
        .D(p_0_in[2]),
        .Q(\oversample_counter.over_sample_cnt_reg [2]),
        .S(\oversample_counter.over_sample_cnt[3]_i_1_n_0 ));
  FDRE #(
    .INIT(1'b0)) 
    \oversample_counter.over_sample_cnt_reg[3] 
       (.C(clk_rx),
        .CE(baud_x16_en),
        .D(p_0_in[3]),
        .Q(\oversample_counter.over_sample_cnt_reg [3]),
        .R(\oversample_counter.over_sample_cnt[3]_i_1_n_0 ));
  LUT6 #(
    .INIT(64'hFFFBFFFF00080000)) 
    \rx_data[0]_i_1 
       (.I0(rxd_clk_rx),
        .I1(rx_data17_out),
        .I2(\rx_data[3]_i_2_n_0 ),
        .I3(\rx_data[4]_i_2_n_0 ),
        .I4(rx_data1__0),
        .I5(rx_data[0]),
        .O(\rx_data[0]_i_1_n_0 ));
  LUT6 #(
    .INIT(64'hFFFBFFFF00080000)) 
    \rx_data[1]_i_1 
       (.I0(rxd_clk_rx),
        .I1(rx_data17_out),
        .I2(\rx_data[3]_i_2_n_0 ),
        .I3(\rx_data[5]_i_2_n_0 ),
        .I4(rx_data1__0),
        .I5(rx_data[1]),
        .O(\rx_data[1]_i_1_n_0 ));
  LUT6 #(
    .INIT(64'hFFFBFFFF00080000)) 
    \rx_data[2]_i_1 
       (.I0(rxd_clk_rx),
        .I1(rx_data17_out),
        .I2(\rx_data[3]_i_2_n_0 ),
        .I3(\rx_data[6]_i_4_n_0 ),
        .I4(rx_data1__0),
        .I5(rx_data[2]),
        .O(\rx_data[2]_i_1_n_0 ));
  LUT6 #(
    .INIT(64'hFFFBFFFF00080000)) 
    \rx_data[3]_i_1 
       (.I0(rxd_clk_rx),
        .I1(rx_data17_out),
        .I2(\rx_data[3]_i_2_n_0 ),
        .I3(\rx_data[3]_i_3_n_0 ),
        .I4(rx_data1__0),
        .I5(rx_data[3]),
        .O(\rx_data[3]_i_1_n_0 ));
  LUT2 #(
    .INIT(4'hE)) 
    \rx_data[3]_i_2 
       (.I0(bit_cnt_reg[2]),
        .I1(bit_cnt_reg[3]),
        .O(\rx_data[3]_i_2_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair10" *) 
  LUT2 #(
    .INIT(4'h7)) 
    \rx_data[3]_i_3 
       (.I0(bit_cnt_reg[1]),
        .I1(bit_cnt_reg[0]),
        .O(\rx_data[3]_i_3_n_0 ));
  LUT6 #(
    .INIT(64'hFFFBFFFF00080000)) 
    \rx_data[4]_i_1 
       (.I0(rxd_clk_rx),
        .I1(rx_data17_out),
        .I2(\rx_data[6]_i_3_n_0 ),
        .I3(\rx_data[4]_i_2_n_0 ),
        .I4(rx_data1__0),
        .I5(rx_data[4]),
        .O(\rx_data[4]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair8" *) 
  LUT2 #(
    .INIT(4'hE)) 
    \rx_data[4]_i_2 
       (.I0(bit_cnt_reg[1]),
        .I1(bit_cnt_reg[0]),
        .O(\rx_data[4]_i_2_n_0 ));
  LUT6 #(
    .INIT(64'hFFFBFFFF00080000)) 
    \rx_data[5]_i_1 
       (.I0(rxd_clk_rx),
        .I1(rx_data17_out),
        .I2(\rx_data[6]_i_3_n_0 ),
        .I3(\rx_data[5]_i_2_n_0 ),
        .I4(rx_data1__0),
        .I5(rx_data[5]),
        .O(\rx_data[5]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair9" *) 
  LUT2 #(
    .INIT(4'hB)) 
    \rx_data[5]_i_2 
       (.I0(bit_cnt_reg[1]),
        .I1(bit_cnt_reg[0]),
        .O(\rx_data[5]_i_2_n_0 ));
  LUT6 #(
    .INIT(64'hFFFBFFFF00080000)) 
    \rx_data[6]_i_1 
       (.I0(rxd_clk_rx),
        .I1(rx_data17_out),
        .I2(\rx_data[6]_i_3_n_0 ),
        .I3(\rx_data[6]_i_4_n_0 ),
        .I4(rx_data1__0),
        .I5(rx_data[6]),
        .O(\rx_data[6]_i_1_n_0 ));
  LUT2 #(
    .INIT(4'h8)) 
    \rx_data[6]_i_2 
       (.I0(baud_x16_en),
        .I1(over_sample_cnt_done),
        .O(rx_data17_out));
  (* SOFT_HLUTNM = "soft_lutpair7" *) 
  LUT2 #(
    .INIT(4'hB)) 
    \rx_data[6]_i_3 
       (.I0(bit_cnt_reg[3]),
        .I1(bit_cnt_reg[2]),
        .O(\rx_data[6]_i_3_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair8" *) 
  LUT2 #(
    .INIT(4'hB)) 
    \rx_data[6]_i_4 
       (.I0(bit_cnt_reg[0]),
        .I1(bit_cnt_reg[1]),
        .O(\rx_data[6]_i_4_n_0 ));
  LUT6 #(
    .INIT(64'hBFFFFFFF80000000)) 
    \rx_data[7]_i_1 
       (.I0(rxd_clk_rx),
        .I1(over_sample_cnt_done),
        .I2(baud_x16_en),
        .I3(\rx_data[7]_i_2_n_0 ),
        .I4(rx_data1__0),
        .I5(rx_data[7]),
        .O(\rx_data[7]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair6" *) 
  LUT4 #(
    .INIT(16'h2000)) 
    \rx_data[7]_i_2 
       (.I0(bit_cnt_reg[2]),
        .I1(bit_cnt_reg[3]),
        .I2(bit_cnt_reg[0]),
        .I3(bit_cnt_reg[1]),
        .O(\rx_data[7]_i_2_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair7" *) 
  LUT3 #(
    .INIT(8'h04)) 
    \rx_data[7]_i_3 
       (.I0(\state_reg_n_0_[0] ),
        .I1(\state_reg_n_0_[1] ),
        .I2(bit_cnt_reg[3]),
        .O(rx_data1__0));
  LUT6 #(
    .INIT(64'h0000000000AAC0AA)) 
    rx_data_rdy_i_1
       (.I0(rx_data_rdy),
        .I1(state__0[1]),
        .I2(state__0[0]),
        .I3(rx_data17_out),
        .I4(rx_data1__0),
        .I5(rst_clk_rx),
        .O(rx_data_rdy_i_1_n_0));
  FDRE rx_data_rdy_reg
       (.C(clk_rx),
        .CE(1'b1),
        .D(rx_data_rdy_i_1_n_0),
        .Q(rx_data_rdy),
        .R(1'b0));
  FDRE \rx_data_reg[0] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\rx_data[0]_i_1_n_0 ),
        .Q(rx_data[0]),
        .R(rst_clk_rx));
  FDRE \rx_data_reg[1] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\rx_data[1]_i_1_n_0 ),
        .Q(rx_data[1]),
        .R(rst_clk_rx));
  FDRE \rx_data_reg[2] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\rx_data[2]_i_1_n_0 ),
        .Q(rx_data[2]),
        .R(rst_clk_rx));
  FDRE \rx_data_reg[3] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\rx_data[3]_i_1_n_0 ),
        .Q(rx_data[3]),
        .R(rst_clk_rx));
  FDRE \rx_data_reg[4] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\rx_data[4]_i_1_n_0 ),
        .Q(rx_data[4]),
        .R(rst_clk_rx));
  FDRE \rx_data_reg[5] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\rx_data[5]_i_1_n_0 ),
        .Q(rx_data[5]),
        .R(rst_clk_rx));
  FDRE \rx_data_reg[6] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\rx_data[6]_i_1_n_0 ),
        .Q(rx_data[6]),
        .R(rst_clk_rx));
  FDRE \rx_data_reg[7] 
       (.C(clk_rx),
        .CE(1'b1),
        .D(\rx_data[7]_i_1_n_0 ),
        .Q(rx_data[7]),
        .R(rst_clk_rx));
  (* SOFT_HLUTNM = "soft_lutpair4" *) 
  LUT3 #(
    .INIT(8'h45)) 
    \state[0]_i_1 
       (.I0(\state_reg_n_0_[0] ),
        .I1(p_0_in9_out),
        .I2(\state_reg_n_0_[1] ),
        .O(\state[0]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair4" *) 
  LUT4 #(
    .INIT(16'h5022)) 
    \state[1]_i_1 
       (.I0(\state_reg_n_0_[0] ),
        .I1(rxd_clk_rx),
        .I2(p_0_in9_out),
        .I3(\state_reg_n_0_[1] ),
        .O(\state[1]_i_1_n_0 ));
  FDRE #(
    .INIT(1'b0)) 
    \state_reg[0] 
       (.C(clk_rx),
        .CE(\FSM_sequential_state[1]_i_1_n_0 ),
        .D(\state[0]_i_1_n_0 ),
        .Q(\state_reg_n_0_[0] ),
        .R(rst_clk_rx));
  FDRE #(
    .INIT(1'b0)) 
    \state_reg[1] 
       (.C(clk_rx),
        .CE(\FSM_sequential_state[1]_i_1_n_0 ),
        .D(\state[1]_i_1_n_0 ),
        .Q(\state_reg_n_0_[1] ),
        .R(rst_clk_rx));
endmodule
`ifndef GLBL
`define GLBL
`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;
    parameter GRES_WIDTH = 10000;
    parameter GRES_START = 10000;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    wire GRESTORE;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;
    wire FCSBO_GLBL;
    wire [3:0] DO_GLBL;
    wire [3:0] DI_GLBL;
   
    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;
    reg GRESTORE_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (strong1, weak0) GSR = GSR_int;
    assign (strong1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;
    assign (strong1, weak0) GRESTORE = GRESTORE_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

    initial begin 
	GRESTORE_int = 1'b0;
	#(GRES_START);
	GRESTORE_int = 1'b1;
	#(GRES_WIDTH);
	GRESTORE_int = 1'b0;
    end

endmodule
`endif
