




#set_property LOC OLOGIC_X0Y53 [get_cells dac_spi_i0/DAC_clr_n_o_reg]
#set_property LOC OLOGIC_X0Y54 [get_cells dac_spi_i0/DAC_cs_n_o_reg]
#set_property LOC OLOGIC_X0Y52 [get_cells dac_spi_i0/spi_mosi_o_reg]

#set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[7]}]
#set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[6]}]
#set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[5]}]
#set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[4]}]


#set_property LOC OLOGIC_X0Y193 [get_cells lb_ctl_i0/txd_o_reg]

#set_property LOC OLOGIC_X1Y95 [get_cells {samp_gen_i0/led_out_reg[0]}]
#set_property LOC OLOGIC_X1Y96 [get_cells {samp_gen_i0/led_out_reg[1]}]
#set_property LOC OLOGIC_X1Y93 [get_cells {samp_gen_i0/led_out_reg[2]}]
#set_property LOC OLOGIC_X1Y94 [get_cells {samp_gen_i0/led_out_reg[3]}]


#set_property LOC BSCAN_X0Y0 [get_cells dbg_hub/inst/bscan_inst/SERIES7_BSCAN.bscan_inst]

set_property IOSTANDARD LVCMOS33 [get_ports {led_pins[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led_pins[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led_pins[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led_pins[3]}]

set_property IOSTANDARD LVDS [get_ports clk_pin_p]
set_property IOSTANDARD LVCMOS18 [get_ports dac_clr_n_pin]
set_property IOSTANDARD LVCMOS18 [get_ports dac_cs_n_pin]
set_property IOSTANDARD LVCMOS33 [get_ports lb_sel_pin]
set_property IOSTANDARD LVCMOS18 [get_ports rst_pin]
set_property IOSTANDARD LVCMOS18 [get_ports rxd_pin]
set_property IOSTANDARD LVCMOS18 [get_ports spi_clk_pin]
set_property IOSTANDARD LVCMOS18 [get_ports spi_mosi_pin]
set_property IOSTANDARD LVCMOS18 [get_ports txd_pin]

set_property PACKAGE_PIN F23 [get_ports clk_pin_p]
set_property PACKAGE_PIN M11 [get_ports rst_pin]
set_property PACKAGE_PIN A20 [get_ports rxd_pin]


set_property PACKAGE_PIN C11 [get_ports spi_clk_pin]
set_property PACKAGE_PIN F4 [get_ports lb_sel_pin]

#set_property LOC OLOGIC_X0Y53 [get_cells dac_spi_i0/DAC_clr_n_o_reg]
set_property PACKAGE_PIN E12 [get_ports dac_clr_n_pin]
#set_property LOC OLOGIC_X0Y54 [get_cells dac_spi_i0/DAC_cs_n_o_reg]
set_property PACKAGE_PIN F12 [get_ports dac_cs_n_pin]
#set_property LOC OLOGIC_X0Y52 [get_cells dac_spi_i0/spi_mosi_o_reg]
set_property PACKAGE_PIN D12 [get_ports spi_mosi_pin]



set_property IOB TRUE [get_cells dac_spi_i0/out_ddr_flop_spi_clk_i0/ODDRE1_inst]
set_property IOB TRUE [get_cells dac_spi_i0/spi_mosi_o_reg]
set_property IOB TRUE [get_cells dac_spi_i0/DAC_cs_n_o_reg]
set_property IOB TRUE [get_cells dac_spi_i0/DAC_clr_n_o_reg]
set_property IOB TRUE [get_cells lb_ctl_i0/txd_o_reg]
#set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[7]}]
#set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[6]}]
#set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[5]}]
#set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[4]}]
set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[3]}]
set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[2]}]
set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[1]}]
set_property IOB TRUE [get_cells {samp_gen_i0/led_out_reg[0]}]




#set_property LOC OLOGIC_X0Y193 [get_cells lb_ctl_i0/txd_o_reg]
set_property PACKAGE_PIN C19 [get_ports txd_pin]

#set_property LOC OLOGIC_X1Y95 [get_cells {samp_gen_i0/led_out_reg[0]}]
set_property PACKAGE_PIN D5 [get_ports {led_pins[0]}]
#set_property LOC OLOGIC_X1Y96 [get_cells {samp_gen_i0/led_out_reg[1]}]
set_property PACKAGE_PIN D6 [get_ports {led_pins[1]}]
#set_property LOC OLOGIC_X1Y93 [get_cells {samp_gen_i0/led_out_reg[2]}]
set_property PACKAGE_PIN A5 [get_ports {led_pins[2]}]
#set_property LOC OLOGIC_X1Y94 [get_cells {samp_gen_i0/led_out_reg[3]}]
set_property PACKAGE_PIN B5 [get_ports {led_pins[3]}]


#set_property LOC BSCAN_X0Y0 [get_cells dbg_hub/inst/bscan_inst/SERIES7_BSCAN.bscan_inst]


#<copyright-disclaimer-start>
#<copyright-disclaimer-start>
#  **************************************************************************************************************
#  * © 2025 Advanced Micro Devices, Inc. All rights reserved.                                                   *
#  * DISCLAIMER                                                                                                 *
#  * The information contained herein is for informational purposes only, and is subject to change              *
#  * without notice. While every precaution has been taken in the preparation of this document, it              *
#  * may contain technical inaccuracies, omissions and typographical errors, and AMD is under no                *
#  * obligation to update or otherwise correct this information.  Advanced Micro Devices, Inc. makes            *
#  * no representations or warranties with respect to the accuracy or completeness of the contents of           *
#  * this document, and assumes no liability of any kind, including the implied warranties of noninfringement,  *
#  * merchantability or fitness for particular purposes, with respect to the operation or use of AMD            *
#  * hardware, software or other products described herein.  No license, including implied or                   *
#  * arising by estoppel, to any intellectual property rights is granted by this document.  Terms and           *
#  * limitations applicable to the purchase or use of AMD’s products are as set forth in a signed agreement     *
#  * between the parties or in AMD's Standard Terms and Conditions of Sale. GD-18                               *
#  *                                                                                                            *
#  **************************************************************************************************************
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>

