set_input_delay -clock [get_clocks clk_100MHz] 1.250 [get_ports clk_100MHz]
set_output_delay -clock [get_clocks clk_100MHz] 1.000 [get_ports -filter { NAME =~  "*" && DIRECTION == "OUT" }]

set_property IOSTANDARD LVCMOS33 [get_ports {led_4bits_tri_o[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led_4bits_tri_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led_4bits_tri_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led_4bits_tri_o[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports reset]
set_property IOSTANDARD LVDCI_18 [get_ports clk_100MHz]
set_property PACKAGE_PIN F23 [get_ports clk_100MHz]

set_property PACKAGE_PIN F23 [get_ports diff_clock_rtl_clk_p]
set_property IOSTANDARD LVDS [get_ports diff_clock_rtl_clk_p]
set_property C_CLK_INPUT_FREQ_HZ 100000000 [get_debug_cores dbg_hub]
set_property C_ENABLE_CLK_DIVIDER false [get_debug_cores dbg_hub]
set_property C_USER_SCAN_CHAIN 1 [get_debug_cores dbg_hub]
connect_debug_port dbg_hub/clk [get_nets clk]

#<copyright-disclaimer-start>
#<copyright-disclaimer-start>
#  **************************************************************************************************************
#  * © 2025 Advanced Micro Devices, Inc. All rights reserved.                                                   *
#  * DISCLAIMER                                                                                                 *
#  * The information contained herein is for informational purposes only, and is subject to change              *
#  * without notice. While every precaution has been taken in the preparation of this document, it              *
#  * may contain technical inaccuracies, omissions and typographical errors, and AMD is under no                *
#  * obligation to update or otherwise correct this information.  Advanced Micro Devices, Inc. makes            *
#  * no representations or warranties with respect to the accuracy or completeness of the contents of           *
#  * this document, and assumes no liability of any kind, including the implied warranties of noninfringement,  *
#  * merchantability or fitness for particular purposes, with respect to the operation or use of AMD            *
#  * hardware, software or other products described herein.  No license, including implied or                   *
#  * arising by estoppel, to any intellectual property rights is granted by this document.  Terms and           *
#  * limitations applicable to the purchase or use of AMD’s products are as set forth in a signed agreement     *
#  * between the parties or in AMD's Standard Terms and Conditions of Sale. GD-18                               *
#  *                                                                                                            *
#  **************************************************************************************************************
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
