--Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
--Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2024.2 (lin64) Build 5239630 Fri Nov 08 22:34:34 MST 2024
--Date        : Tue Dec 24 18:11:43 2024
--Host        : amd-VirtualBox running 64-bit Ubuntu 22.04.5 LTS
--Command     : generate_target uart_rx_i0_wrapper.bd
--Design      : uart_rx_i0_wrapper
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity uart_rx_i0_wrapper is
  port (
    btn_pin : in STD_LOGIC;
    clk_pin_n : in STD_LOGIC_VECTOR ( 0 to 0 );
    clk_pin_p : in STD_LOGIC_VECTOR ( 0 to 0 );
    led_pins : out STD_LOGIC_VECTOR ( 3 downto 0 );
    rst_pin : in STD_LOGIC;
    rxd_pin : in STD_LOGIC
  );
end uart_rx_i0_wrapper;

architecture STRUCTURE of uart_rx_i0_wrapper is
  component uart_rx_i0 is
  port (
    clk_pin_p : in STD_LOGIC_VECTOR ( 0 to 0 );
    clk_pin_n : in STD_LOGIC_VECTOR ( 0 to 0 );
    btn_pin : in STD_LOGIC;
    rst_pin : in STD_LOGIC;
    rxd_pin : in STD_LOGIC;
    led_pins : out STD_LOGIC_VECTOR ( 3 downto 0 )
  );
  end component uart_rx_i0;
begin
uart_rx_i0_i: component uart_rx_i0
     port map (
      btn_pin => btn_pin,
      clk_pin_n(0) => clk_pin_n(0),
      clk_pin_p(0) => clk_pin_p(0),
      led_pins(3 downto 0) => led_pins(3 downto 0),
      rst_pin => rst_pin,
      rxd_pin => rxd_pin
    );
end STRUCTURE;
