-- Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
-- Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
-- --------------------------------------------------------------------------------
-- Tool Version: Vivado v.2024.2 (lin64) Build 5239630 Fri Nov 08 22:34:34 MST 2024
-- Date        : Tue Dec 24 18:12:45 2024
-- Host        : amd-VirtualBox running 64-bit Ubuntu 22.04.5 LTS
-- Command     : write_vhdl -force -mode funcsim
--               /home/amd/training/Dbg_IPI/lab/ZCU104/vhdl/uart_rx.gen/sources_1/bd/uart_rx_i0/ip/uart_rx_i0_led_ctl_0_0/uart_rx_i0_led_ctl_0_0_sim_netlist.vhdl
-- Design      : uart_rx_i0_led_ctl_0_0
-- Purpose     : This VHDL netlist is a functional simulation representation of the design and should not be modified or
--               synthesized. This netlist cannot be used for SDF annotated simulation.
-- Device      : xczu7ev-ffvc1156-2-e
-- --------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity uart_rx_i0_led_ctl_0_0_led_ctl is
  port (
    led_o : out STD_LOGIC_VECTOR ( 3 downto 0 );
    btn_clk_rx : in STD_LOGIC;
    rst_clk_rx : in STD_LOGIC;
    rx_data_rdy : in STD_LOGIC;
    clk_rx : in STD_LOGIC;
    rx_data : in STD_LOGIC_VECTOR ( 7 downto 0 )
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of uart_rx_i0_led_ctl_0_0_led_ctl : entity is "led_ctl";
end uart_rx_i0_led_ctl_0_0_led_ctl;

architecture STRUCTURE of uart_rx_i0_led_ctl_0_0_led_ctl is
  signal char_data : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal \char_data[7]_i_1_n_0\ : STD_LOGIC;
  signal last_rx_data_rdy : STD_LOGIC;
  signal \led_o[0]_i_1_n_0\ : STD_LOGIC;
  signal \led_o[1]_i_1_n_0\ : STD_LOGIC;
  signal \led_o[2]_i_1_n_0\ : STD_LOGIC;
  signal \led_o[3]_i_1_n_0\ : STD_LOGIC;
  attribute SOFT_HLUTNM : string;
  attribute SOFT_HLUTNM of \led_o[0]_i_1\ : label is "soft_lutpair0";
  attribute SOFT_HLUTNM of \led_o[1]_i_1\ : label is "soft_lutpair0";
  attribute SOFT_HLUTNM of \led_o[2]_i_1\ : label is "soft_lutpair1";
  attribute SOFT_HLUTNM of \led_o[3]_i_1\ : label is "soft_lutpair1";
begin
\char_data[7]_i_1\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"4"
    )
        port map (
      I0 => last_rx_data_rdy,
      I1 => rx_data_rdy,
      O => \char_data[7]_i_1_n_0\
    );
\char_data_reg[0]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => \char_data[7]_i_1_n_0\,
      D => rx_data(0),
      Q => char_data(0),
      R => rst_clk_rx
    );
\char_data_reg[1]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => \char_data[7]_i_1_n_0\,
      D => rx_data(1),
      Q => char_data(1),
      R => rst_clk_rx
    );
\char_data_reg[2]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => \char_data[7]_i_1_n_0\,
      D => rx_data(2),
      Q => char_data(2),
      R => rst_clk_rx
    );
\char_data_reg[3]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => \char_data[7]_i_1_n_0\,
      D => rx_data(3),
      Q => char_data(3),
      R => rst_clk_rx
    );
\char_data_reg[4]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => \char_data[7]_i_1_n_0\,
      D => rx_data(4),
      Q => char_data(4),
      R => rst_clk_rx
    );
\char_data_reg[5]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => \char_data[7]_i_1_n_0\,
      D => rx_data(5),
      Q => char_data(5),
      R => rst_clk_rx
    );
\char_data_reg[6]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => \char_data[7]_i_1_n_0\,
      D => rx_data(6),
      Q => char_data(6),
      R => rst_clk_rx
    );
\char_data_reg[7]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => \char_data[7]_i_1_n_0\,
      D => rx_data(7),
      Q => char_data(7),
      R => rst_clk_rx
    );
last_rx_data_rdy_reg: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => '1',
      D => rx_data_rdy,
      Q => last_rx_data_rdy,
      R => rst_clk_rx
    );
\led_o[0]_i_1\: unisim.vcomponents.LUT3
    generic map(
      INIT => X"B8"
    )
        port map (
      I0 => char_data(4),
      I1 => btn_clk_rx,
      I2 => char_data(0),
      O => \led_o[0]_i_1_n_0\
    );
\led_o[1]_i_1\: unisim.vcomponents.LUT3
    generic map(
      INIT => X"B8"
    )
        port map (
      I0 => char_data(5),
      I1 => btn_clk_rx,
      I2 => char_data(1),
      O => \led_o[1]_i_1_n_0\
    );
\led_o[2]_i_1\: unisim.vcomponents.LUT3
    generic map(
      INIT => X"B8"
    )
        port map (
      I0 => char_data(6),
      I1 => btn_clk_rx,
      I2 => char_data(2),
      O => \led_o[2]_i_1_n_0\
    );
\led_o[3]_i_1\: unisim.vcomponents.LUT3
    generic map(
      INIT => X"B8"
    )
        port map (
      I0 => char_data(7),
      I1 => btn_clk_rx,
      I2 => char_data(3),
      O => \led_o[3]_i_1_n_0\
    );
\led_o_reg[0]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => '1',
      D => \led_o[0]_i_1_n_0\,
      Q => led_o(0),
      R => rst_clk_rx
    );
\led_o_reg[1]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => '1',
      D => \led_o[1]_i_1_n_0\,
      Q => led_o(1),
      R => rst_clk_rx
    );
\led_o_reg[2]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => '1',
      D => \led_o[2]_i_1_n_0\,
      Q => led_o(2),
      R => rst_clk_rx
    );
\led_o_reg[3]\: unisim.vcomponents.FDRE
     port map (
      C => clk_rx,
      CE => '1',
      D => \led_o[3]_i_1_n_0\,
      Q => led_o(3),
      R => rst_clk_rx
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity uart_rx_i0_led_ctl_0_0 is
  port (
    rst_clk_rx : in STD_LOGIC;
    btn_clk_rx : in STD_LOGIC;
    clk_rx : in STD_LOGIC;
    rx_data : in STD_LOGIC_VECTOR ( 7 downto 0 );
    rx_data_rdy : in STD_LOGIC;
    led_o : out STD_LOGIC_VECTOR ( 3 downto 0 )
  );
  attribute NotValidForBitStream : boolean;
  attribute NotValidForBitStream of uart_rx_i0_led_ctl_0_0 : entity is true;
  attribute CHECK_LICENSE_TYPE : string;
  attribute CHECK_LICENSE_TYPE of uart_rx_i0_led_ctl_0_0 : entity is "uart_rx_i0_led_ctl_0_0,led_ctl,{}";
  attribute downgradeipidentifiedwarnings : string;
  attribute downgradeipidentifiedwarnings of uart_rx_i0_led_ctl_0_0 : entity is "yes";
  attribute ip_definition_source : string;
  attribute ip_definition_source of uart_rx_i0_led_ctl_0_0 : entity is "module_ref";
  attribute x_core_info : string;
  attribute x_core_info of uart_rx_i0_led_ctl_0_0 : entity is "led_ctl,Vivado 2024.2";
end uart_rx_i0_led_ctl_0_0;

architecture STRUCTURE of uart_rx_i0_led_ctl_0_0 is
begin
U0: entity work.uart_rx_i0_led_ctl_0_0_led_ctl
     port map (
      btn_clk_rx => btn_clk_rx,
      clk_rx => clk_rx,
      led_o(3 downto 0) => led_o(3 downto 0),
      rst_clk_rx => rst_clk_rx,
      rx_data(7 downto 0) => rx_data(7 downto 0),
      rx_data_rdy => rx_data_rdy
    );
end STRUCTURE;
