-- Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
-- Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
-- --------------------------------------------------------------------------------
-- Tool Version: Vivado v.2024.2 (lin64) Build 5239630 Fri Nov 08 22:34:34 MST 2024
-- Date        : Tue Dec 24 18:12:45 2024
-- Host        : amd-VirtualBox running 64-bit Ubuntu 22.04.5 LTS
-- Command     : write_vhdl -force -mode funcsim
--               /home/amd/training/Dbg_IPI/lab/ZCU104/vhdl/uart_rx.gen/sources_1/bd/uart_rx_i0/ip/uart_rx_i0_uart_baud_gen_0_0/uart_rx_i0_uart_baud_gen_0_0_sim_netlist.vhdl
-- Design      : uart_rx_i0_uart_baud_gen_0_0
-- Purpose     : This VHDL netlist is a functional simulation representation of the design and should not be modified or
--               synthesized. This netlist cannot be used for SDF annotated simulation.
-- Device      : xczu7ev-ffvc1156-2-e
-- --------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity uart_rx_i0_uart_baud_gen_0_0_uart_baud_gen is
  port (
    baud_x16_en : out STD_LOGIC;
    rst : in STD_LOGIC;
    clk : in STD_LOGIC
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of uart_rx_i0_uart_baud_gen_0_0_uart_baud_gen : entity is "uart_baud_gen";
end uart_rx_i0_uart_baud_gen_0_0_uart_baud_gen;

architecture STRUCTURE of uart_rx_i0_uart_baud_gen_0_0_uart_baud_gen is
  signal baud_x16_en_0 : STD_LOGIC;
  signal baud_x16_en_i_2_n_0 : STD_LOGIC;
  signal \clk_divider.internal_count[1]_i_1_n_0\ : STD_LOGIC;
  signal \clk_divider.internal_count[3]_i_2_n_0\ : STD_LOGIC;
  signal internal_count : STD_LOGIC_VECTOR ( 6 downto 0 );
  signal internal_count_1 : STD_LOGIC_VECTOR ( 6 downto 0 );
  attribute SOFT_HLUTNM : string;
  attribute SOFT_HLUTNM of baud_x16_en_i_1 : label is "soft_lutpair1";
  attribute SOFT_HLUTNM of baud_x16_en_i_2 : label is "soft_lutpair0";
  attribute SOFT_HLUTNM of \clk_divider.internal_count[0]_i_1\ : label is "soft_lutpair3";
  attribute SOFT_HLUTNM of \clk_divider.internal_count[1]_i_1\ : label is "soft_lutpair3";
  attribute SOFT_HLUTNM of \clk_divider.internal_count[3]_i_1\ : label is "soft_lutpair0";
  attribute SOFT_HLUTNM of \clk_divider.internal_count[3]_i_2\ : label is "soft_lutpair2";
  attribute SOFT_HLUTNM of \clk_divider.internal_count[4]_i_1\ : label is "soft_lutpair1";
  attribute SOFT_HLUTNM of \clk_divider.internal_count[5]_i_1\ : label is "soft_lutpair2";
begin
baud_x16_en_i_1: unisim.vcomponents.LUT4
    generic map(
      INIT => X"0002"
    )
        port map (
      I0 => baud_x16_en_i_2_n_0,
      I1 => internal_count(4),
      I2 => internal_count(5),
      I3 => internal_count(6),
      O => baud_x16_en_0
    );
baud_x16_en_i_2: unisim.vcomponents.LUT4
    generic map(
      INIT => X"0001"
    )
        port map (
      I0 => internal_count(1),
      I1 => internal_count(0),
      I2 => internal_count(3),
      I3 => internal_count(2),
      O => baud_x16_en_i_2_n_0
    );
baud_x16_en_reg: unisim.vcomponents.FDRE
     port map (
      C => clk,
      CE => '1',
      D => baud_x16_en_0,
      Q => baud_x16_en,
      R => rst
    );
\clk_divider.internal_count[0]_i_1\: unisim.vcomponents.LUT1
    generic map(
      INIT => X"1"
    )
        port map (
      I0 => internal_count(0),
      O => internal_count_1(0)
    );
\clk_divider.internal_count[1]_i_1\: unisim.vcomponents.LUT2
    generic map(
      INIT => X"9"
    )
        port map (
      I0 => internal_count(0),
      I1 => internal_count(1),
      O => \clk_divider.internal_count[1]_i_1_n_0\
    );
\clk_divider.internal_count[2]_i_1\: unisim.vcomponents.LUT6
    generic map(
      INIT => X"FFFF0000AAAA4454"
    )
        port map (
      I0 => internal_count(0),
      I1 => \clk_divider.internal_count[3]_i_2_n_0\,
      I2 => internal_count(3),
      I3 => internal_count(4),
      I4 => internal_count(2),
      I5 => internal_count(1),
      O => internal_count_1(2)
    );
\clk_divider.internal_count[3]_i_1\: unisim.vcomponents.LUT5
    generic map(
      INIT => X"FF00FC02"
    )
        port map (
      I0 => \clk_divider.internal_count[3]_i_2_n_0\,
      I1 => internal_count(1),
      I2 => internal_count(0),
      I3 => internal_count(3),
      I4 => internal_count(2),
      O => internal_count_1(3)
    );
\clk_divider.internal_count[3]_i_2\: unisim.vcomponents.LUT3
    generic map(
      INIT => X"FE"
    )
        port map (
      I0 => internal_count(6),
      I1 => internal_count(5),
      I2 => internal_count(4),
      O => \clk_divider.internal_count[3]_i_2_n_0\
    );
\clk_divider.internal_count[4]_i_1\: unisim.vcomponents.LUT4
    generic map(
      INIT => X"0FE0"
    )
        port map (
      I0 => internal_count(5),
      I1 => internal_count(6),
      I2 => baud_x16_en_i_2_n_0,
      I3 => internal_count(4),
      O => internal_count_1(4)
    );
\clk_divider.internal_count[5]_i_1\: unisim.vcomponents.LUT4
    generic map(
      INIT => X"CF20"
    )
        port map (
      I0 => internal_count(6),
      I1 => internal_count(4),
      I2 => baud_x16_en_i_2_n_0,
      I3 => internal_count(5),
      O => internal_count_1(5)
    );
\clk_divider.internal_count[6]_i_1\: unisim.vcomponents.LUT4
    generic map(
      INIT => X"A9AA"
    )
        port map (
      I0 => internal_count(6),
      I1 => internal_count(4),
      I2 => internal_count(5),
      I3 => baud_x16_en_i_2_n_0,
      O => internal_count_1(6)
    );
\clk_divider.internal_count_reg[0]\: unisim.vcomponents.FDSE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => internal_count_1(0),
      Q => internal_count(0),
      S => rst
    );
\clk_divider.internal_count_reg[1]\: unisim.vcomponents.FDSE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => \clk_divider.internal_count[1]_i_1_n_0\,
      Q => internal_count(1),
      S => rst
    );
\clk_divider.internal_count_reg[2]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => internal_count_1(2),
      Q => internal_count(2),
      R => rst
    );
\clk_divider.internal_count_reg[3]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => internal_count_1(3),
      Q => internal_count(3),
      R => rst
    );
\clk_divider.internal_count_reg[4]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => internal_count_1(4),
      Q => internal_count(4),
      R => rst
    );
\clk_divider.internal_count_reg[5]\: unisim.vcomponents.FDRE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => internal_count_1(5),
      Q => internal_count(5),
      R => rst
    );
\clk_divider.internal_count_reg[6]\: unisim.vcomponents.FDSE
    generic map(
      INIT => '0'
    )
        port map (
      C => clk,
      CE => '1',
      D => internal_count_1(6),
      Q => internal_count(6),
      S => rst
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity uart_rx_i0_uart_baud_gen_0_0 is
  port (
    rst : in STD_LOGIC;
    clk : in STD_LOGIC;
    baud_x16_en : out STD_LOGIC
  );
  attribute NotValidForBitStream : boolean;
  attribute NotValidForBitStream of uart_rx_i0_uart_baud_gen_0_0 : entity is true;
  attribute CHECK_LICENSE_TYPE : string;
  attribute CHECK_LICENSE_TYPE of uart_rx_i0_uart_baud_gen_0_0 : entity is "uart_rx_i0_uart_baud_gen_0_0,uart_baud_gen,{}";
  attribute downgradeipidentifiedwarnings : string;
  attribute downgradeipidentifiedwarnings of uart_rx_i0_uart_baud_gen_0_0 : entity is "yes";
  attribute ip_definition_source : string;
  attribute ip_definition_source of uart_rx_i0_uart_baud_gen_0_0 : entity is "package_project";
  attribute x_core_info : string;
  attribute x_core_info of uart_rx_i0_uart_baud_gen_0_0 : entity is "uart_baud_gen,Vivado 2024.2";
end uart_rx_i0_uart_baud_gen_0_0;

architecture STRUCTURE of uart_rx_i0_uart_baud_gen_0_0 is
  attribute x_interface_info : string;
  attribute x_interface_info of clk : signal is "xilinx.com:signal:clock:1.0 clk CLK";
  attribute x_interface_mode : string;
  attribute x_interface_mode of clk : signal is "slave clk";
  attribute x_interface_parameter : string;
  attribute x_interface_parameter of clk : signal is "XIL_INTERFACENAME clk, ASSOCIATED_RESET rst, FREQ_HZ 100000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN uart_rx_i0_clk_pin_n, INSERT_VIP 0";
  attribute x_interface_info of rst : signal is "xilinx.com:signal:reset:1.0 rst RST";
  attribute x_interface_mode of rst : signal is "slave rst";
  attribute x_interface_parameter of rst : signal is "XIL_INTERFACENAME rst, POLARITY ACTIVE_LOW, INSERT_VIP 0";
begin
U0: entity work.uart_rx_i0_uart_baud_gen_0_0_uart_baud_gen
     port map (
      baud_x16_en => baud_x16_en,
      clk => clk,
      rst => rst
    );
end STRUCTURE;
