--Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
--Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2024.2 (lin64) Build 5239630 Fri Nov 08 22:34:34 MST 2024
--Date        : Tue Dec 24 18:11:43 2024
--Host        : amd-VirtualBox running 64-bit Ubuntu 22.04.5 LTS
--Command     : generate_target uart_rx_i0.bd
--Design      : uart_rx_i0
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity uart_rx_i0_imp_5GALHJ is
  port (
    clk_dst : in STD_LOGIC;
    rst_dst : in STD_LOGIC;
    rx_data : out STD_LOGIC_VECTOR ( 7 downto 0 );
    rx_data_rdy : out STD_LOGIC;
    rxd_pin : in STD_LOGIC;
    signal_dst : out STD_LOGIC
  );
end uart_rx_i0_imp_5GALHJ;

architecture STRUCTURE of uart_rx_i0_imp_5GALHJ is
  component uart_rx_i0_meta_harden_0_0 is
  port (
    clk_dst : in STD_LOGIC;
    rst_dst : in STD_LOGIC;
    signal_src : in STD_LOGIC;
    signal_dst : out STD_LOGIC
  );
  end component uart_rx_i0_meta_harden_0_0;
  component uart_rx_i0_uart_baud_gen_0_0 is
  port (
    rst : in STD_LOGIC;
    clk : in STD_LOGIC;
    baud_x16_en : out STD_LOGIC
  );
  end component uart_rx_i0_uart_baud_gen_0_0;
  component uart_rx_i0_uart_rx_ctl_0_0 is
  port (
    clk_rx : in STD_LOGIC;
    rst_clk_rx : in STD_LOGIC;
    baud_x16_en : in STD_LOGIC;
    rxd_clk_rx : in STD_LOGIC;
    rx_data : out STD_LOGIC_VECTOR ( 7 downto 0 );
    rx_data_rdy : out STD_LOGIC;
    frm_err : out STD_LOGIC
  );
  end component uart_rx_i0_uart_rx_ctl_0_0;
  signal \^signal_dst\ : STD_LOGIC;
  signal uart_baud_gen_0_baud_x16_en : STD_LOGIC;
  signal NLW_uart_rx_ctl_0_frm_err_UNCONNECTED : STD_LOGIC;
begin
  signal_dst <= \^signal_dst\;
meta_harden_0: component uart_rx_i0_meta_harden_0_0
     port map (
      clk_dst => clk_dst,
      rst_dst => rst_dst,
      signal_dst => \^signal_dst\,
      signal_src => rxd_pin
    );
uart_baud_gen_0: component uart_rx_i0_uart_baud_gen_0_0
     port map (
      baud_x16_en => uart_baud_gen_0_baud_x16_en,
      clk => clk_dst,
      rst => rst_dst
    );
uart_rx_ctl_0: component uart_rx_i0_uart_rx_ctl_0_0
     port map (
      baud_x16_en => uart_baud_gen_0_baud_x16_en,
      clk_rx => clk_dst,
      frm_err => NLW_uart_rx_ctl_0_frm_err_UNCONNECTED,
      rst_clk_rx => rst_dst,
      rx_data(7 downto 0) => rx_data(7 downto 0),
      rx_data_rdy => rx_data_rdy,
      rxd_clk_rx => \^signal_dst\
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity uart_rx_i0 is
  port (
    btn_pin : in STD_LOGIC;
    clk_pin_n : in STD_LOGIC_VECTOR ( 0 to 0 );
    clk_pin_p : in STD_LOGIC_VECTOR ( 0 to 0 );
    led_pins : out STD_LOGIC_VECTOR ( 3 downto 0 );
    rst_pin : in STD_LOGIC;
    rxd_pin : in STD_LOGIC
  );
  attribute CORE_GENERATION_INFO : string;
  attribute CORE_GENERATION_INFO of uart_rx_i0 : entity is "uart_rx_i0,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=uart_rx_i0,x_ipVersion=1.00.a,x_ipLanguage=VHDL,numBlks=9,numReposBlks=8,numNonXlnxBlks=0,numHierBlks=1,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=1,numPkgbdBlks=0,bdsource=USER,synth_mode=Hierarchical}";
  attribute HW_HANDOFF : string;
  attribute HW_HANDOFF of uart_rx_i0 : entity is "uart_rx_i0.hwdef";
end uart_rx_i0;

architecture STRUCTURE of uart_rx_i0 is
  component uart_rx_i0_meta_harden_1_0 is
  port (
    clk_dst : in STD_LOGIC;
    rst_dst : in STD_LOGIC;
    signal_src : in STD_LOGIC;
    signal_dst : out STD_LOGIC
  );
  end component uart_rx_i0_meta_harden_1_0;
  component uart_rx_i0_meta_harden_2_0 is
  port (
    clk_dst : in STD_LOGIC;
    rst_dst : in STD_LOGIC;
    signal_src : in STD_LOGIC;
    signal_dst : out STD_LOGIC
  );
  end component uart_rx_i0_meta_harden_2_0;
  component uart_rx_i0_util_ds_buf_0_0 is
  port (
    IBUF_DS_P : in STD_LOGIC_VECTOR ( 0 to 0 );
    IBUF_DS_N : in STD_LOGIC_VECTOR ( 0 to 0 );
    IBUF_OUT : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component uart_rx_i0_util_ds_buf_0_0;
  component uart_rx_i0_xlconstant_0_0 is
  port (
    dout : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component uart_rx_i0_xlconstant_0_0;
  component uart_rx_i0_led_ctl_0_0 is
  port (
    rst_clk_rx : in STD_LOGIC;
    btn_clk_rx : in STD_LOGIC;
    clk_rx : in STD_LOGIC;
    rx_data : in STD_LOGIC_VECTOR ( 7 downto 0 );
    rx_data_rdy : in STD_LOGIC;
    led_o : out STD_LOGIC_VECTOR ( 3 downto 0 )
  );
  end component uart_rx_i0_led_ctl_0_0;
  signal meta_harden_btn_signal_dst : STD_LOGIC;
  signal meta_harden_rst_signal_dst : STD_LOGIC;
  signal uart_rx_i0_rx_data : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal uart_rx_i0_rx_data_rdy : STD_LOGIC;
  signal util_ds_buf_0_IBUF_OUT : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xlconstant_0_dout : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_uart_rx_i0_signal_dst_UNCONNECTED : STD_LOGIC;
  attribute X_INTERFACE_INFO : string;
  attribute X_INTERFACE_INFO of clk_pin_n : signal is "xilinx.com:signal:clock:1.0 CLK.CLK_PIN_N CLK";
  attribute X_INTERFACE_PARAMETER : string;
  attribute X_INTERFACE_PARAMETER of clk_pin_n : signal is "XIL_INTERFACENAME CLK.CLK_PIN_N, CLK_DOMAIN uart_rx_i0_clk_pin_n, FREQ_HZ 100000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0";
  attribute X_INTERFACE_INFO of clk_pin_p : signal is "xilinx.com:signal:clock:1.0 CLK.CLK_PIN_P CLK";
  attribute X_INTERFACE_PARAMETER of clk_pin_p : signal is "XIL_INTERFACENAME CLK.CLK_PIN_P, CLK_DOMAIN uart_rx_i0_clk_pin_p, FREQ_HZ 100000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0";
begin
led_ctl_0: component uart_rx_i0_led_ctl_0_0
     port map (
      btn_clk_rx => meta_harden_btn_signal_dst,
      clk_rx => util_ds_buf_0_IBUF_OUT(0),
      led_o(3 downto 0) => led_pins(3 downto 0),
      rst_clk_rx => meta_harden_rst_signal_dst,
      rx_data(7 downto 0) => uart_rx_i0_rx_data(7 downto 0),
      rx_data_rdy => uart_rx_i0_rx_data_rdy
    );
meta_harden_btn: component uart_rx_i0_meta_harden_1_0
     port map (
      clk_dst => util_ds_buf_0_IBUF_OUT(0),
      rst_dst => meta_harden_rst_signal_dst,
      signal_dst => meta_harden_btn_signal_dst,
      signal_src => btn_pin
    );
meta_harden_rst: component uart_rx_i0_meta_harden_2_0
     port map (
      clk_dst => util_ds_buf_0_IBUF_OUT(0),
      rst_dst => xlconstant_0_dout(0),
      signal_dst => meta_harden_rst_signal_dst,
      signal_src => rst_pin
    );
uart_rx_i0: entity work.uart_rx_i0_imp_5GALHJ
     port map (
      clk_dst => util_ds_buf_0_IBUF_OUT(0),
      rst_dst => meta_harden_rst_signal_dst,
      rx_data(7 downto 0) => uart_rx_i0_rx_data(7 downto 0),
      rx_data_rdy => uart_rx_i0_rx_data_rdy,
      rxd_pin => rxd_pin,
      signal_dst => NLW_uart_rx_i0_signal_dst_UNCONNECTED
    );
util_ds_buf_0: component uart_rx_i0_util_ds_buf_0_0
     port map (
      IBUF_DS_N(0) => clk_pin_n(0),
      IBUF_DS_P(0) => clk_pin_p(0),
      IBUF_OUT(0) => util_ds_buf_0_IBUF_OUT(0)
    );
xlconstant_0: component uart_rx_i0_xlconstant_0_0
     port map (
      dout(0) => xlconstant_0_dout(0)
    );
end STRUCTURE;
