// Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
// Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
// -------------------------------------------------------------------------------

`timescale 1 ps / 1 ps

(* BLOCK_STUB = "true" *)
module uart_rx_i0 (
  clk_pin_p,
  clk_pin_n,
  btn_pin,
  rst_pin,
  rxd_pin,
  led_pins
);

  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.CLK_PIN_P CLK" *)
  (* X_INTERFACE_MODE = "slave CLK.CLK_PIN_P" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.CLK_PIN_P, FREQ_HZ 100000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN uart_rx_i0_clk_pin_p, INSERT_VIP 0" *)
  input [0:0]clk_pin_p;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.CLK_PIN_N CLK" *)
  (* X_INTERFACE_MODE = "slave CLK.CLK_PIN_N" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.CLK_PIN_N, FREQ_HZ 100000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN uart_rx_i0_clk_pin_n, INSERT_VIP 0" *)
  input [0:0]clk_pin_n;
  (* X_INTERFACE_IGNORE = "true" *)
  input btn_pin;
  (* X_INTERFACE_IGNORE = "true" *)
  input rst_pin;
  (* X_INTERFACE_IGNORE = "true" *)
  input rxd_pin;
  (* X_INTERFACE_IGNORE = "true" *)
  output [3:0]led_pins;

  // stub module has no contents

endmodule
